Page MenuHomePhabricator

Flow wikitext area doesn't respect text formatting option (monospace, sans-serif, etc.)
Closed, ResolvedPublic

Description

Flow's wikitext area doesn't respect the text formatting user option/preference (monospace, serif, sans-serif, etc.).

Top of the "Editing" section in https://www.mediawiki.org/wiki/Special:Preferences#mw-prefsection-editing

name = editfont - One of the MediaWiki DefaultUserOptions https://www.mediawiki.org/wiki/Manual:$wgDefaultUserOptions

See T72028: Should Mediawiki UI change font-family for textareas?

Event Timeline

MZMcBride updated the task description. (Show Details)
MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride added a subscriber: MZMcBride.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 12 2015, 1:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity updated the task description. (Show Details)Apr 12 2015, 4:35 AM
Quiddity set Security to None.
EBernhardson triaged this task as Low priority.Apr 14 2015, 5:54 PM
EBernhardson added a subscriber: EBernhardson.
Catrope added a subscriber: Catrope.Oct 9 2015, 7:26 PM

This happens because OOUI TextInputWidgets set font-family: inherit on the textarea inside them, overriding the textarea { font-family: monospace; } rule that is generated when you have editfont=monospace in your preferences. Which makes sense in the general case (we don't want multiline TextInputWidgets embedded in MW to haphazardly have editfont applied to them), so I think instead we'd have to modify ResourceLoaderUserCSSPrefsModule.php to target a CSS class instead of all textareas.

IS it possible to fix it? I had a new feedback about the lack of differences between the two modes.

Framawiki added a subscriber: Framawiki.

...and would it be possible to fix that? :)

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 6:56 PM
SBisson closed this task as Resolved.Jul 20 2018, 4:57 PM
SBisson claimed this task.
SBisson added a subscriber: SBisson.

I believe this is resolved. Please re-open if this is a mistake.